# List

Launch stage: GA

`GET /api/networking/v1/{parent=accounts/*}/endpoints`

Lists all network connectivity endpoints for the account.

API scopes: provisioning

## Path parameters

- `parent` (string, optional)
  The parent resource name of the account to list endpoints for.
   Format: `accounts/{account_id}`.
  Example: `accounts/123e4567-e89b-12d3-a456-426614174000`

## Query parameters

- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

Returns a list of Endpoint objects.

## Response

```json
{
  "items": [
    {
      "name": "accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000",
      "endpoint_id": "123e4567-e89b-12d3-a456-426614174000",
      "account_id": "123e4567-e89b-12d3-a456-426614174000",
      "display_name": "example-endpoint",
      "use_case": "string",
      "region": "string",
      "state": "string",
      "azure_private_endpoint_info": {},
      "create_time": "2024-01-15T10:30:00.000Z"
    }
  ],
  "next_page_token": "string"
}
```

